Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.generation
Class SuggestionListGenerator

    java.lang.Object
      org.apache.cocoon.util.AbstractLogEnabled
          org.apache.cocoon.xml.AbstractXMLProducer
              org.apache.cocoon.generation.AbstractGenerator
                  org.apache.cocoon.generation.ServiceableGenerator
                      org.apache.cocoon.forms.generation.SuggestionListGenerator

All Implemented Interfaces:
  Contextualizable, Disposable, org.apache.cocoon.generation.Generator, Poolable, Recyclable, Serviceable, org.apache.cocoon.sitemap.SitemapModelComponent, org.apache.cocoon.xml.XMLProducer

public class SuggestionListGenerator
extends org.apache.cocoon.generation.ServiceableGenerator
implements Contextualizable

A generator for suggestion lists.

Since:
  2.1.8
Version:
  $Id: SuggestionListGenerator.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary

Fields inherited from class org.apache.cocoon.generation.ServiceableGenerator
`manager`

Fields inherited from class org.apache.cocoon.generation.AbstractGenerator
`objectModel, parameters, resolver, source`

Fields inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`contentHandler, EMPTY_CONTENT_HANDLER, lexicalHandler, xmlConsumer`

Fields inherited from interface org.apache.cocoon.generation.Generator
`ROLE`

Constructor Summary
`SuggestionListGenerator()`

Method Summary
`void` | `contextualize(Context ctx)`
`void` | `generate()`
`void` | `service(ServiceManager manager)`
`void` | `setup(org.apache.cocoon.environment.SourceResolver resolver, Map objectModel, String src, Parameters par)`

Methods inherited from class org.apache.cocoon.generation.ServiceableGenerator
`dispose`

Methods inherited from class org.apache.cocoon.generation.AbstractGenerator
`recycle`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`setConsumer, setContentHandler, setLexicalHandler`

Methods inherited from class org.apache.cocoon.util.AbstractLogEnabled
`getLogger, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Constructor Detail

### SuggestionListGenerator

    public SuggestionListGenerator()

Method Detail

### contextualize

    public void contextualize(Context ctx)
                       throws ContextException

  Specified by:
    `contextualize` in interface `Contextualizable`
  Throws:
    `ContextException`

### service

    public void service(ServiceManager manager)
                 throws ServiceException

  Specified by:
    `service` in interface `Serviceable`
  Throws:
    `ServiceException`

### setup

    public void setup(org.apache.cocoon.environment.SourceResolver resolver,
                      Map objectModel,
                      String src,
                      Parameters par)
               throws org.apache.cocoon.ProcessingException,
                      SAXException,
                      IOException

  Specified by:
    `setup` in interface `org.apache.cocoon.sitemap.SitemapModelComponent`
  Throws:
    `org.apache.cocoon.ProcessingException`
    `SAXException`
    `IOException`

### generate

    public void generate()
                  throws IOException,
                         SAXException,
                         org.apache.cocoon.ProcessingException

  Specified by:
    `generate` in interface `org.apache.cocoon.generation.Generator`
  Throws:
    `IOException`
    `SAXException`
    `org.apache.cocoon.ProcessingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.